%define name radeon-firmware
%define version 20110310
%define release %mkrel 1

Summary: ATI R600/R700/Evergreen/Fusion Firmware
Name:	 %{name}
Version: %{version}
Release: %{release}
# extracted from git://git.kernel.org/pub/scm/linux/kernel/git/dwmw2/linux-firmware.git
# all files in radeon/ dir excluding the files in kernel-firmware
Source0: %{name}-%{version}.tar.xz
License: Proprietary
Group:	 System/Kernel and hardware
Url:	 http://ati.amd.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Obsoletes: radeon-rlc-firmware
Conflicts: kernel-firmware-extra <= 20110310-2

%description
This is Ati Radeon R600/R700/Evergreen (HD5xxx)/Fusion firmware needed
for IRQ handling. It's needed for R600/R700/Evergreen/Fusion KMS support
beginning with 2.6.33 series kernels.

%prep
%setup -q -n %{name}

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware/radeon
install -m644 *.bin %{buildroot}/lib/firmware/radeon/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.*
/lib/firmware/radeon/*.bin


%changelog
* Mon Mar 21 2011 tmb <tmb> 20110310-1.mga1
+ Revision: 75332
- Obsolete radeon-rlc-firmware
- Conflict old kernel-firmware-extra
- package renamed to radeon-firmware as in now carries all radeon
  firmware files previously shipped in kernel-firmware-extra
- rename spec to match package name
- rename to radeon-firmware

* Thu Mar 17 2011 tmb <tmb> 1-7.mga1
+ Revision: 73312
- add Cayman rlc firmware

* Tue Jan 25 2011 tmb <tmb> 1-6.mga1
+ Revision: 38947
- add BTC rlc firmware

* Sat Jan 15 2011 tmb <tmb> 1-5.mga1
+ Revision: 19487
- imported package radeon-rlc-firmware

